Package de.willuhn.jameica.hbci.server

# Class ProtokollImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.ProtokollImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `HibiscusDBObject`, `Protokoll`, `Serializable`, `Remote`

public class ProtokollImpl extends AbstractHibiscusDBObject implements Protokoll
Implementierung der HBCI-Protokollierung pro Konto.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

### Fields inherited from interface de.willuhn.jameica.hbci.rmi.Protokoll

`TYP_ERROR, TYP_SUCCESS, TYP_UNKNOWN`

## Constructor Summary

Constructors
Constructor
Description
`ProtokollImpl()`
ct.

## Method Summary

Modifier and Type
Method
Description
`Date`
`getDatum()`
Liefert das Datum, an dem der Log-Eintrag erzeugt wurde.
`protected Class`
`getForeignObject(String field)`
`String`
`getKommentar()`
Liefert den Kommentar des Log-Eintrages.
`Konto`
`getKonto()`
Liefert das Konto, zu dem dieser Protokoll-Eointrag gehoert.
`String`
`getPrimaryAttribute()`
`protected String`
`getTableName()`
`int`
`getTyp()`
Liefert den Typ des Log-Eintrages.
`protected void`
`insertCheck()`
`void`
`setKommentar(String kommentar)`
Speichert den Kommentar zu diesem Log-Eintrag.
`void`
`setKonto(Konto konto)`
Speichert das Konto, zu dem dieser Log-Eintrag gehoert.
`void`
`setTyp(int typ)`
Speichert den Typ des Log-Eintrages.
`void`
`store()`
`protected void`
`updateCheck()`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`delete, getMeta, setMeta`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, equals, getAttribute, getAttributeNames, getAttributeType, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, insert, isNewObject, load, overwrite, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Constructor Details

### ProtokollImpl

public ProtokollImpl() throws RemoteException
ct.

Throws:
  `RemoteException`

## Method Details

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Specified by:
  `getPrimaryAttribute` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getPrimaryAttribute()`

### store

public void store() throws RemoteException, de.willuhn.util.ApplicationException

Specified by:
  `store` in interface `de.willuhn.datasource.rmi.Changeable`
Overrides:
  `store` in class `AbstractHibiscusDBObject`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.store()`

### insertCheck

protected void insertCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `insertCheck` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insertCheck()`

### updateCheck

protected void updateCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `updateCheck` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.updateCheck()`

### getForeignObject

protected Class getForeignObject(String field) throws RemoteException

Overrides:
  `getForeignObject` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `AbstractDBObject.getForeignObject(java.lang.String)`

### getKonto

public Konto getKonto() throws RemoteException
Description copied from interface: `Protokoll`
Liefert das Konto, zu dem dieser Protokoll-Eointrag gehoert.

Specified by:
  `getKonto` in interface `Protokoll`
Returns:
  Konto.
Throws:
  `RemoteException`
See Also:
  - `Protokoll.getKonto()`

### getKommentar

public String getKommentar() throws RemoteException
Description copied from interface: `Protokoll`
Liefert den Kommentar des Log-Eintrages.

Specified by:
  `getKommentar` in interface `Protokoll`
Returns:
  Kommentar.
Throws:
  `RemoteException`
See Also:
  - `Protokoll.getKommentar()`

### getDatum

public Date getDatum() throws RemoteException
Description copied from interface: `Protokoll`
Liefert das Datum, an dem der Log-Eintrag erzeugt wurde.

Specified by:
  `getDatum` in interface `Protokoll`
Returns:
  Datum.
Throws:
  `RemoteException`
See Also:
  - `Protokoll.getDatum()`

### getTyp

public int getTyp() throws RemoteException
Description copied from interface: `Protokoll`
Liefert den Typ des Log-Eintrages. Zur Codierung siehe die Konstanten TYP_*.

Specified by:
  `getTyp` in interface `Protokoll`
Returns:
  Typ.
Throws:
  `RemoteException`
See Also:
  - `Protokoll.getTyp()`

### setKonto

public void setKonto(Konto konto) throws RemoteException
Description copied from interface: `Protokoll`
Speichert das Konto, zu dem dieser Log-Eintrag gehoert.

Specified by:
  `setKonto` in interface `Protokoll`
Parameters:
  `konto` - Konto.
Throws:
  `RemoteException`
See Also:
  - `Protokoll.setKonto(de.willuhn.jameica.hbci.rmi.Konto)`

### setKommentar

public void setKommentar(String kommentar) throws RemoteException
Description copied from interface: `Protokoll`
Speichert den Kommentar zu diesem Log-Eintrag.

Specified by:
  `setKommentar` in interface `Protokoll`
Parameters:
  `kommentar` - Kommentar.
Throws:
  `RemoteException`
See Also:
  - `Protokoll.setKommentar(java.lang.String)`

### setTyp

public void setTyp(int typ) throws RemoteException
Description copied from interface: `Protokoll`
Speichert den Typ des Log-Eintrages. Zur Codierung siehe die Konstanten TYP_*.

Specified by:
  `setTyp` in interface `Protokoll`
Parameters:
  `typ` - Typ.
Throws:
  `RemoteException`
See Also:
  - `Protokoll.setTyp(int)`